[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BaseParentClientSize

The client size for the Parent, for which the BaseBounds are valid.

## Declaration

Source position: controls.pp line 1687

`public property TControl.BaseParentClientSize : TSize read FBaseParentClientSize;`

## Description

BaseBounds and BaseParentClientSize determine the distance to keep from Parent's sides, when a side is anchored to the Parent (akLeft...), and the Parent is resized.